! header file containing problem size information
        integer           ::  nx,ny,nz      ! basic problem dimensions
        integer           ::  num_scalars   ! can be 1 or 2 currently
        integer           ::  numprocs,locnz
        integer           ::  bytesperword,numbufs,numbytes
        integer           ::  AB_order      ! # of time levels required
        real, allocatable :: mpi_buffer_space(:)

        parameter(nx=1+16,ny=1+16,nz=32)
        parameter(num_scalars=2)            ! 1-->Temp, 2-->Salinity
        parameter(numprocs=01)              ! must match specification in machfile
        parameter(locnz=nz/numprocs)   
        parameter(AB_order=3)               ! {2,3,4}
        parameter(bytesperword=8,numbufs=2)

!     mpirun command must actually use numprocs processors
!     i.e. mpirun -np 4  where 4 matches numprocs parameter
!
!     Choose nz such that locnz is an integer. The partitioning
!     logic requires this condition load balancing is optimized.
!
!     nx/numprocs must be an integer in the data partitioning scheme

