#!/usr/bin/perl
# usage:  makeindex.pl > index.html                           
#         Script to extract a list of HTML files in the current  
#         directory, and generate an index.html file 
#         original bg color #FFFFFF  link #00AAF0

use File::Basename;

 opendir(DIR, ".");
   @htmlFiles = grep(/\.html$/,readdir(DIR));
 closedir(DIR);

print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
print " <html>\n";
print "  <head>\n";
print "   <title>flow_solve reference</title>\n";

print "   <link rel=\"stylesheet\" href=\"tt2.css\" />\n";
print "   <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\n";
print "   <meta name=\"robots\" content=\"all\" />\n";
print "  </head> ";

print "  <body bgcolor=\"#EED5B7\"\n" ;   # these will over-ride css, they match here 
print "   text=\"#000000\" link=\"#0000CD\"\n";
print "   vlink=\"#202060\" alink=\"#556B2F\">\n";
print "  </head>\n";
print "<body>\n";
print "<left>\n";
print "    <h1 class=\"title\">Source Code Reference</h1>\n";
print "<ul>\n";

 foreach $file (@htmlFiles) {
  ($name, $path, $suffix) = fileparse( $file, '\.html');
   print "\t<li><a href=\"$file\"> $name </a>\n";
  }

print "</ul>\n";
print "</left>\n";
print "</body>\n";
print "</html>\n";


