# Edit this file for your system  ================================
#=================================================================

# directory where tarfile was unpacked
##pba BASE=/Users/kraig/KW_FILES/work/code_setups/SpectralModelF90
BASE=/homegpfs/rech/dyc/rdyc711/CODE_PS/SpectralModelF90

#Location of include files
##pba NETCDF_INC=-I/usr/local/netcdf-xlf/include
NETCDF_INC = $(NETCDF)
NETCDF_LIB = $(NETCDF)

##pba FFTW_INC=-I/usr/local/include
FFTW_INC = $(FFTW3_I4S4D8)
FFTW_LIB = $(FFTW3_I4S4D8) -lfftw3 -lfftw3f
##FFTW_INC = -I/usr/local/pub/FFTW/fftw-3.0.1/include 
##FFTW_LIB = -L/usr/local/pub/FFTW/fftw-3.0.1/lib -lfftw3 -lfftw3f


#Location & names of libraries	
##pba FFTW_LIB=-L/usr/local/lib -lfftw3
##pba NETCDF_LIB=-L/usr/local/netcdf-xlf/lib -lnetcdf
##pba LAPACK_LIB = /usr/local/LAPACK/lapack_OSX.a
BLAS_LIB = $(BLAS_I4S4D8)
LAPACK_LIB = $(LAPACK_I4S4D8)

# compilers & flags etc
AR = ar -ru
LDFLAGS =
##pba F90 = /usr/local/mpich-1.2.6/bin/mpif90
F90 = /usr/bin/mpxlf90_r -qsuffix=f=f90 -qsuffix=cpp=f90 -qnoextname
FFLAGS = -g -qfree -qmaxmem=-1 -qsuffix=f=f90 -qsuffix=cpp=f90
F90FLAGS = -c $(FFLAGS)





#=================================================================
#
#   netcdf  http://my.unidata.ucar.edu/content/software/netcdf
#      optional but highly recommended:
#      nco (NetCdf Operators)  
#          http://nco.sourceforge.net/
#      ncview (netCDF visual browser)
#          http://meteora.ucsd.edu/~pierce/ncview_home_page.html
#
#   fftw3   Fastest fft in the West
#           http://www.fftw.org/   
#           version 3.x double precision libraries
#
#   lapack  Linear Algebra Package
#           http://www.netlib.org/lapack/ (double precision)
#
#   blas    Basic Linear Algebra Subprograms  
#           http://www.netlib.org/blas/   (double precision)
#
#   mpi     Message Passing Interface
#           mpich   http://www-unix.mcs.anl.gov/mpi/mpich/
#           lam     http://www.lam-mpi.org/
#           Sometimes vendor-specific packages are installed,
#           often under module control.
#=================================================================
