!!====================================================================================  
  module etc
!!====================================================================================
   
   character(len=80)             :: comment
   character(len=80)             :: step_flag
   character(len=80)             :: docfile
   character(len=80)             :: memoryfile
   character(len=80)             :: optionfile
   
   integer                       :: N=1,   NM1=2
   integer                       :: MM0=1, MM1=2, MM2=3, MM3=4
   integer                       :: PM0=1, PM1=2, PM2=3, PM3=4
   integer                       :: N_oldest,M_oldest,P_oldest
   
   integer                       :: i, j, k, ierr
   integer                       :: istep,istart,iend
   integer                       :: numcalls
   integer                       :: advance_particles_id
   integer                       :: field_id
      
   integer,allocatable           :: numzplanes(:)
   integer,allocatable           :: numzplanes_below(:)
   integer,allocatable           :: numxplanes(:)
   integer,allocatable           :: numxplanes_left(:)
   integer,allocatable           :: my_klocal(:)
   integer,allocatable           :: my_ilocal(:)
   integer,allocatable           :: my_kglobal(:)
   integer,allocatable           :: my_iglobal(:)
   
   real(kind=8),allocatable      :: numprocs_xy_planes(:,:,:,:)
   real(kind=8),allocatable      :: int_weights_x(:)
   real(kind=8),allocatable      :: int_weights_y(:)
   real(kind=8),allocatable      :: int_weights_z(:)
   
   real(kind=8)                  :: t_secs,secs,cum_secs
   real(kind=8)                  :: clock_start,rate
   real(kind=8)                  :: my_z_limits(2)
   real(kind=8)                  :: div_norm
   real(kind=8)                  :: div_threshold
   
   real(kind=8)                  :: AllocatedMemoryGB = 0.d0
   real(kind=8)                  :: NewAllocationGB = 0.d0
   real(kind=8)                  :: NewDeletionGB = 0.d0
   real(kind=8), parameter       :: Bytes_per_GB = 1024*1024*1024 
   real(kind=8), parameter       :: GBperByte = 1.d0/Bytes_per_GB
   
!!====================================================================================  
  end module etc
!!====================================================================================
