!     Start up MPI and obtain process id, number of live processors.

      comm = MPI_COMM_WORLD
      call MPI_INIT(ierr)
      call MPI_COMM_RANK(comm,myid,ierr)
      call MPI_COMM_SIZE(comm,nprocs,ierr)
      if( myid .eq. 0 ) then
       write(0,*) ' Program cfdXZ initiated in parallel mode.'
       write(0,*) ' Number of live processors:      ',nprocs
       if( nprocs .ne. numprocs) then
        write(0,*) ' Mismatch in number of live and required processors.'
        write(0,*) ' Processors required in partitioning scheme: ',numprocs
        write(0,*) ' See file input/problem_size.h and/or source/run.sh'
        stop
       endif
      endif

!     numbytes = ( (nx*ny*locnz)*bytesperword + MPI_BSEND_OVERHEAD )*numbufs
!     allocate( mpi_buffer_space( numbufs*((nx*ny*locnz)+MPI_BSEND_OVERHEAD/bytesperword) ) )
!     call MPI_BUFFER_ATTACH( mpi_buffer_space, numbytes, ierr )
