program solve

  use flags_counters_etc
  use particles,  only: ntrajectories
  use mpi_params, only: myid

  call flow_solve
  if(myid==0) then
   write(0,*) 'runtime_initialization :',cumsecs(runtime_initialization_id)
   write(0,*) 'cumsecs fft            : ',cumsecs(fft_id),'  calls ',numcalls(fft_id)
   write(0,*) 'cumsecs ifft           : ',cumsecs(ifft_id) ,'  calls ',numcalls(ifft_id)
   write(0,*) 'cumsecs nonlin         : ',cumsecs(nonlin_id),'  calls ',numcalls(nonlin_id)
   write(0,*) 'cumsecs rhs            : ',cumsecs(ifft_id) ,'  calls ',numcalls(rhs_id)
   write(0,*) 'cumsecs step           : ',cumsecs(step_id) ,'  calls ',numcalls(step_id)
   write(0,*) 'cumsecs particles      : ',cumsecs(advance_particles_id) ,'  calls ',numcalls(advance_particles_id)
   write(0,*) '  number of particles  : ',ntrajectories
  endif
  
end program solve
