!! file src/OOFlowSolve.h
integer, parameter   :: U_ID=1
integer, parameter   :: V_ID=2
integer, parameter   :: W_ID=3
integer, parameter   :: S1_ID=4
integer, parameter   :: S2_ID=5
integer, parameter   :: PRESSURE_ID=6
integer, parameter   :: PHI_ID=6

integer,parameter    :: MaxNumProcs=1024
integer,parameter    :: MaxNumMGLevels=1
integer,parameter    :: MaxMGIndex=MaxNumMGLevels-1
integer,parameter    :: MaxABSlices=5
integer,parameter    :: MaxNumDims=3
integer,parameter    :: MaxNumScalars=2
integer,parameter    :: MaxNumVars=MaxNumDims+MaxNumScalars+1
integer,parameter    :: MaxNumOutputFileSets=100

integer,parameter    :: DEF_REFINE=2
integer,parameter    :: DEF_MG_LEVELS=1
integer,parameter    :: DEF_NCOARSE=4

integer,parameter     :: NumDims=MaxNumDims
integer,parameter     :: NumVars=MaxNumVars
integer,parameter     :: NumScalars=MaxNumScalars
integer,parameter     :: NumScratchVars=5

real(kind=8),parameter        :: pi=3.14159265358979
