subroutine maxim
#define DEBUG_LEVEL 1

!********** Nearly everything available via modules  *****
   use grid_info
   use immersed_boundary
   use dependent_variables
   use intermediate_variables
   use rhs_variables
   use pde_parameters
   use dimensional_scales
   use mpi_parameters
   use boundary_information
   use counters_flags_etc
   use mpi_times

   implicit none

! local variables

 include '../input/problem_size.h'
 include 'mpif.h'

 real :: error,sum_error
!*********************************************************

  if ( myid == numprocs-1 .and. mod(istep,10) == 0 ) then
     print*,' '
     print*,' MINVAL(U)=',minval(U*U_scale),'  MAXVAL(U)=',maxval(U*U_scale)
     print*,' MINVAL(V)=',minval(V*U_scale),'  MAXVAL(V)=',maxval(V*U_scale)
     print*,' MINVAL(W)=',minval(W*U_scale),'  MAXVAL(W)=',maxval(W*U_scale)
     print*,' MINVAL(s1)=',minval(s1*s1_scale),'  MAXVAL(s1)=',maxval(s1*s1_scale)
     print*,' MINVAL(s2)=',minval(s2*s2_scale),'  MAXVAL(s2)=',maxval(s2*s2_scale)
     print*,' MINVAL(pd)=',minval(pd),'  MAXVAL(s2)=',maxval(pd)
     print*,' '

  endif


  error=0.
  sum_error=0.
  if ( maxval(abs(U)) > 1.e6 .or. maxval(abs(v)) > 1.e6 .or. maxval(abs(W)) > 1.e6 .or. maxval(abs(s1)) > 1.e6 .or. maxval(abs(s2)) > 1.e6 ) then
       error=1.
  endif
  
  call MPI_BARRIER(comm,ierr)
  call MPI_ALLREDUCE(error,sum_error,1,MPI_REAL,MPI_SUM,comm,ierr)
  
  if ( sum_error .ge. 1. ) then
     print*,' '
     print*,'     *********   ERROR   ERROR   ERROR   ERROR *******'
     print*,' '
     print*,' MINVAL(U)=',minval(U*U_scale),'  MAXVAL(U)=',maxval(U*U_scale)
     print*,' MINVAL(V)=',minval(V*U_scale),'  MAXVAL(V)=',maxval(V*U_scale)
     print*,' MINVAL(W)=',minval(W*U_scale),'  MAXVAL(W)=',maxval(W*U_scale)
     print*,' MINVAL(s1)=',minval(s1*s1_scale),'  MAXVAL(s1)=',maxval(s1*s1_scale)
     print*,' MINVAL(s2)=',minval(s2*s2_scale),'  MAXVAL(s2)=',maxval(s2*s2_scale)
     print*,' MINVAL(pd)=',minval(pd),'  MAXVAL(s2)=',maxval(pd)
     print*,' '
     goto 999
     !call mpi_barrier(comm,ierr)
     !call MPI_Time(1)
     !call mpi_finalize(ierr)
  else 
     goto 1000     
  endif

999 call mpi_barrier(comm,ierr)
    call MPI_Time(1)
    STOP ' the next time...'

1000 continue    

end subroutine maxim

