subroutine user_BCs
#define DEBUG_LEVEL 1

!********** Nearly everything available via modules  *****
 use grid_info
 use dependent_variables
 use dimensional_scales
 use mpi_parameters
 use user_parameters
 use counters_flags_etc
 use user_routines

 implicit none

! local variables
 include '../input/problem_size.h'
 real, dimension(nx,ny,locnz)  :: vals
 integer :: field_id
!*********************************************************

if( user_BCs_flag == 'no' ) return

#if DEBUG_LEVEL >=1
 if(myid == 0) write(0,*) 'hello world from user_BCs'
#endif

 if ( istep >= 1 ) then
!==============  
  field_id = 1  !!! imposed surface current only for "U"  

!  do i = 1,nx 
   call user_forcing( Grid(0)%x(:,1)*L_scale , Grid(0)%y(:)*L_scale , Grid(0)%z(1,:)*L_scale ,      &
                           t*t_scale , vals , field_id ,                                                 &
                           nx , ny , locnz )
!  u(i,:,:) = u(i,:,:) + vals/U_scale
!  enddo
   u = u + vals/U_scale
   
!==============

 endif

  
end subroutine user_BCs
