# Edit this file for your system  ================================
#=================================================================

# directory where tarfile was unpacked
BASE=/home2/xlvlod/IDRIS/SpectralModelF90

#Location & names of libraries

NETCDF_INC = $(NETCDF_INC_X)
NETCDF_LIB = $(NETCDF_LIB_X)

FFTW_INC = $(FFTW3_INC_X)
FFTW_LIB = $(FFTW3_LIB_X) -lfftw3 -lfftw3f

BLAS_LIB = $(BLAS_LIB_X)
LAPACK_LIB = $(LAPACK_LIB_X)

# compilers & flags etc
AR = ar -ru
LDFLAGS =

F90 = mpif90
FFLAGS =  -Mpreprocess $(ALL_INCLUDE)
F90FLAGS = -c $(FFLAGS)

#=================================================================
#
#   netcdf  http://my.unidata.ucar.edu/content/software/netcdf
#      optional but highly recommended:
#      nco (NetCdf Operators)  
#          http://nco.sourceforge.net/
#      ncview (netCDF visual browser)
#          http://meteora.ucsd.edu/~pierce/ncview_home_page.html
#
#   fftw3   Fastest fft in the West
#           http://www.fftw.org/   
#           version 3.x double precision libraries
#
#   lapack  Linear Algebra Package
#           http://www.netlib.org/lapack/ (double precision)
#
#   blas    Basic Linear Algebra Subprograms  
#           http://www.netlib.org/blas/   (double precision)
#
#   mpi     Message Passing Interface
#           mpich   http://www-unix.mcs.anl.gov/mpi/mpich/
#           lam     http://www.lam-mpi.org/
#           Sometimes vendor-specific packages are installed,
#           often under module control.
#=================================================================
