subroutine rhs

#define DEBUG_LEVEL 1
! Module definitions in cfd_modules.F90
use  rhs_variables
use  mpi_parameters
use  pde_parameters
use  user_parameters
use  intermediate_variables
use  counters_flags_etc
implicit none

include 'mpif.h'
include '../input/problem_size.h'

  call equation_of_state                       ! calc. d'less pd given s1,s2 and s1_bar,s2_bar
  call ibr_1                                   ! rhs for U neglecting pressure & dissipation
  call ibr_2                                   ! rhs for v neglecting pressure & dissipation
  call ibr_3                                   ! rhs for W neglecting pressure & dissipation
  call ibr_4                                   ! rhs for s1 neglecting diffusion
  if(num_scalars>1) call ibr_5                 ! rhs for s2 neglecting diffusion

  call dissipation                             ! add in dissipation/diffusion terms

end subroutine rhs
